Subject: bug#24686: --load-path not honored by guix system

From: Blah Blahh <[email-masked]>
Date: Thu, 13 Oct 2016 18:48:26 -0500

Worked fine when I set GUIX_PACKAGE_PATH, did not when I tried using
--load-path to pass the exact same directory. According to mark_weaver from
#guix it should, so here I am to mention it. Specifically I used "guix
system reconfigure --load-path=/root/guix-modules /etc/config.scm" and it
did not search in that directory, then I set GUIX_PACKAGE_PATH to
/root/guix-modules and ran the command without the --load-path part and it
found the package defined in a module in a subdirectory of it.